Subject: Problem in configuring interrupt in PPC 8272 processor using montavista linux 2.6 kernel

From: Misbah khan <[email-masked]>
Date: Wed, 27 Jun 2007 22:52:25 -0700 (PDT)

Hi All

I am facing problem in configuring PPC 8272 processor for interrupt . The
zeroth bit of SIUMCR register when set with 1 will be configured for IRQ3
else will be configured with BBD. Even though i am writing 1 to this bit
while inserting the driver and its actually writing 1 to that location
either , but the IRQ3 is not been configured for that and hence is
configured for BBD (BBD and IRQ3 are multiplexed) the result is that the bus
is toggling . As a consiguence of this my driver is getting infinite
interrupt and it is going to deadlock . 

If you have an experience of such problem ,i wish you could suggest me .
Hoping for a reply , for that i shall rema in thankful to you .

regard 
Misbah
-- 
View this message in context: http://www.nabble.com/Problem-in-configuring-interrupt-in-PPC-8272-processor-using-montavista-linux-2.6-kernel-tf3992552.html#a11337419
Sent from the linuxppc-embedded mailing list archive at Nabble.com.